%define peardir /usr/share/pear
%define xmldir  /var/lib/pear
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear:       %global __pear       %{_bindir}/pear}
%global pear_name    Horde_ActiveSync
%global pear_channel pear.horde.org
%define name php-horde-Horde-ActiveSync
%define version 2.34.0
%define release 3

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: PEAR: Horde ActiveSync Server Library
License: GPL-2.0
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_ActiveSync-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_ActiveSync
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: php-horde-Horde-Role >= 1.0.0
Requires: php-horde-Horde-Compress >= 2.0.0
Requires: php-horde-Horde-Compress < 3.0.0alpha1
Requires: php-horde-Horde-Date >= 2.0.0
Requires: php-horde-Horde-Date < 3.0.0alpha1
Requires: php-horde-Horde-Exception >= 2.0.0
Requires: php-horde-Horde-Exception < 3.0.0alpha1
Requires: php-horde-Horde-Icalendar >= 2.0.0
Requires: php-horde-Horde-Icalendar < 3.0.0alpha1
Requires: php-horde-Horde-Mapi >= 1.0.0
Requires: php-horde-Horde-Mapi < 2.0.0alpha1
Requires: php-horde-Horde-Mime >= 2.0.0
Requires: php-horde-Horde-Mime < 3.0.0alpha1
Requires: php-horde-Horde-Stream >= 1.4.0
Requires: php-horde-Horde-Stream < 2.0.0alpha1
Requires: php-horde-Horde-Support >= 2.0.0
Requires: php-horde-Horde-Support < 3.0.0alpha1
Requires: php-horde-Horde-Util >= 2.0.0
Requires: php-horde-Horde-Util < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0           
Requires: php-channel(pear.horde.org)   
BuildArch: noarch
BuildRequires: php-horde-Horde-Role
BuildRequires:  gettext
# To run unit tests
#BuildRequires: php-phpunit-PHPUnit
#BuildRequires:  php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
#BuildRequires:  php-pear(%{pear_channel}/Horde_Http) >= 2.0.0
#BuildRequires:  php-pear(%{pear_channel}/Horde_Serialize) >= 2.0.0
#BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
#BuildRequires:  php-pear(%{pear_channel}/Horde_Url) >= 2.0.0


Provides:       %{name} = %{version}

%description
Libraries for implementing an ActiveSync server.

%prep
%setup -q -c

cd %{pear_name}-%{version}

# Don't install .po and .pot files
# Remove checksum for .mo, as we regenerate them
sed -e '/%{pear_name}.po/d' \
    -e '/Horde_Other.po/d' \
    -e '/%{pear_name}.mo/s/md5sum="[^"]*"//' \
    ../package.xml >%{name}.xml
touch -r ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}

# Regenerate the locales
for po in $(find locale -name \*.po)
do
   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
done


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

# Locales
for loc in locale/{??,??_??}
do
    lang=$(basename $loc)
    test -d %{buildroot}%{pear_datadir}/%{pear_name}/$loc \
         && echo "%%lang(${lang%_*}) %{pear_datadir}/%{pear_name}/$loc"
done | tee ../%{pear_name}.lang


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
#%{_bindir}/phpunit --verbose .

#if which php70; then
#   php70 %{_bindir}/phpunit --verbose .
#fi


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files -f %{pear_name}.lang
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
#%dir %{pear_phpdir}/Horde/Service
#%{pear_phpdir}/Horde/Service/ActiveSync
#%{pear_phpdir}/Horde/Service/ActiveSync.php
%dir %{pear_datadir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}/locale
%{pear_testdir}/%{pear_name}
#%{pear_hordedir}/themes
#%dir /usr/share/pear-data/Horde_ActiveSync
#%dir /usr/share/pear-data/Horde_ActiveSync/migration/
/usr/share/pear-data/Horde_ActiveSync/migration/*
/usr/share/pear/Horde/*
#/usr/share/pear/Horde/ActiveSync/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Tue Aug 13 2014 --> Tue Aug 12 2014 or Wed Aug 13 2014 or Tue Aug 19 2014 or ....
  Thu Dec 12 2014 --> Thu Dec 11 2014 or Fri Dec 12 2014 or Thu Dec 18 2014 or ....

* Fri Jun 17 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.34.0-3.sme
- fix requirements

* Thu Jun 16 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.34.0-2.sme
- new spec file to build in SME buildsys
- inspired from Remi Collet php-horde-Service-Weather 
- [SME: 9602]

* Tue Jun 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.34.0-1
- Updated to 2.33.3

* Wed Apr 27 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.9-1
- Updated to 2.31.9

* Sat Mar 26 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.8-1
- Updated to 2.31.8

* Wed Feb 24 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.5-1
- Updated to 2.31.5

* Sun Jan 31 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.6-1
- Updated to 2.30.6

* Mon Jan 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.5-1
- Updated to 2.30.5

* Sat Dec 26 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.3-1
- Updated to 2.30.3

* Sat Dec 26 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.3-1
- Updated to 2.30.3

* Wed Nov 25 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.2-1
- Updated to 2.30.2

* Wed Oct 28 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.1-1
- Updated to 2.30.1

* Fri Oct 23 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.0-1
- Updated to 2.30.0

* Tue Sep 22 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.29.2-1
- Updated to 2.29.2

* Fri Sep 4 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.29.1-1
- Updated to 2.29.1

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.28.6-1
- Updated to 2.28.6

* Mon Jun 15 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.28.5-1
- Updated to 2.28.5

* Wed Jun 3 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.28.4-1
- Updated to 2.28.4

* Sat May 2 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.27.1-1
- Updated to 2.27.1

* Sat Apr 4 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.27.0-1
- Updated to 2.27.0

* Sat Mar 7 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.26.1-1
- Updated to 2.26.1

* Wed Feb 25 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.26.0-1
- Updated to 2.26.0

* Fri Feb 6 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.24.1-1
- Updated to 2.24.1

* Sat Jan 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.24.0-1
- Updated to 2.24.0

* Sun Dec 28 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.23.0-1
- Updated to 2.23.0

* Fri Dec 12 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.21.0-1
  Thu Dec 12 2014 --> Thu Dec 11 2014 or Fri Dec 12 2014 or Thu Dec 18 2014 or ....
- Updated to 2.21.0

* Tue Dec 9 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.20.5-1
- Updated to 2.20.4

* Tue Oct 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.19.4-1
- Updated to 2.19.4

* Tue Oct 07 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.19.3-1
- Updated to 2.19.3

* Sat Sep 20 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.19.1-1
- Updated to 2.19.1

* Wed Sep 3 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.18.1-1
- Updated to 2.18.1

* Wed Aug 27 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.18.0-1
- Updated to 2.18.0

* Wed Aug 13 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.17.0-1
  Tue Aug 13 2014 --> Tue Aug 12 2014 or Wed Aug 13 2014 or Tue Aug 19 2014 or ....
- Updated to 2.17.0

* Sun Jul 13 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.16.11-1
- Updated to 2.16.11

* Wed Jun 25 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.16.7-1
- Updated to 2.16.7

* Tue Apr 29 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.14.1-1
- Updated to 2.14.1

* Thu Apr 3 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.4-1
- Updated to 2.13.4

* Mon Mar 24 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.3-1
- Updated to 2.13.3

* Sun Mar 16 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.2-1
- Updated to 2.13.2

* Tue Mar 11 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.1-1
- Updated to 2.13.1

* Sat Feb 8 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.12.4-1
- Updated to 2.12.4
- added Horde_Mapi requirement.  New for 2.12 release

* Wed Nov 20 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.9.1-1
- Updated to 2.9.1

* Tue Nov 19 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.9.0-1
- Updated to 2.9.0

* Thu Oct 24 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.8.5-1
- Updated to 2.8.5

* Fri Sep 6 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.7.3-1
- Updated to 2.7.3

* Sun Jul 21 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.5.6-1
- Updated to 2.5.6

* Mon Jun 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.3.6-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

